ghc-7.0.4: The GHC API

CmmLiveZ

Synopsis

- type CmmLive = RegSet
- cmmLivenessZ :: CmmGraph -> FuelMonad BlockEntryLiveness
- liveLattice :: DataflowLattice CmmLive
- middleLiveness :: Middle -> CmmLive -> CmmLive
- noLiveOnEntry :: BlockId -> CmmLive -> a -> a

# Documentation

type CmmLive = RegSet Source

The variables live on entry to a block

cmmLivenessZ :: CmmGraph -> FuelMonad BlockEntryLivenessSource

Calculated liveness info for a CmmGraph

liveLattice :: DataflowLattice CmmLive Source

The dataflow lattice

middleLiveness :: Middle -> CmmLive -> CmmLive Source

noLiveOnEntry :: BlockId -> CmmLive -> a -> aSource

On entry to the procedure, there had better not be any LocalReg's live-in.